org.eclipse.gef.palette

## Class PanningSelectionToolEntry

- java.lang.Object
- - org.eclipse.gef.palette.PaletteEntry
  - - org.eclipse.gef.palette.ToolEntry
    - - org.eclipse.gef.palette.SelectionToolEntry
      - - org.eclipse.gef.palette.PanningSelectionToolEntry

    public class PanningSelectionToolEntry
    extends SelectionToolEntry

A ToolEntry for a `PanningSelectionTool`.

Since:
  3.0

### Field Summary

### Fields inherited from class org.eclipse.gef.palette.ToolEntry

`PALETTE_TYPE_TOOL`

### Fields inherited from class org.eclipse.gef.palette.PaletteEntry

`listeners, PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

### Constructor Summary

Constructors
Constructor and Description
`PanningSelectionToolEntry()` Creates a new PanningSelectionToolEntry.
`PanningSelectionToolEntry(java.lang.String label)` Constructor for PanningSelectionToolEntry.
`PanningSelectionToolEntry(java.lang.String label, java.lang.String shortDesc)` Constructor for PanningSelectionToolEntry.

### Method Summary

### Methods inherited from class org.eclipse.gef.palette.ToolEntry

`createTool, getToolProperties, getToolProperty, setToolClass, setToolProperty`

### Methods inherited from class org.eclipse.gef.palette.PaletteEntry

`addPropertyChangeListener, getDescription, getId, getLabel, getLargeIcon, getParent, getSmallIcon, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PanningSelectionToolEntry

    public PanningSelectionToolEntry()

Creates a new PanningSelectionToolEntry.

#### PanningSelectionToolEntry

    public PanningSelectionToolEntry(java.lang.String label)

Constructor for PanningSelectionToolEntry.

Parameters:
  `label` - the label

#### PanningSelectionToolEntry

    public PanningSelectionToolEntry(java.lang.String label,
                             java.lang.String shortDesc)

Constructor for PanningSelectionToolEntry.

Parameters:
  `label` - the label
  `shortDesc` - the description